psychopy.org | Reference | Downloads | Github

PygletBackend' object has no attribute '_isFullScr'


#1

OS: Windows 7 Professional Service Pack1 32 bits
PsychoPy v: PY3-1.90.3
Standard Standalone? y
Coder/Builder: Builder

What are you trying to achieve? Try to run one experiment in one Win7 SP1 machine

Error message:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\backends\pygletbackend.py”, line 131, in init
style=style)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\pyglet\window\win32_init_.py”, line 134, in init
super(Win32Window, self).init(*args, **kwargs)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\pyglet\window_init_.py”, line 571, in init
self.create()
File "C:\Program Files\PsychoPy2_PY3\lib\site-packages\pyglet\window\win32_init
.py", line 266, in _create
self.context.attach(self.canvas)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\pyglet\gl\win32.py”, line 212, in attach
raise gl.ContextException(‘Unable to share contexts’)
pyglet.gl.ContextException: Unable to share contexts

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\uned\Desktop\francisco\psycht\fp12_lastrun.py”, line 59, in
blendMode=‘avg’, useFBO=True)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\window.py”, line 375, in init
self.backend = backends.getBackend(win=self, *args, **kwargs)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\backends_init_.py”, line 32, in getBackend
return Backend(win, *args, **kwargs)
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\backends\pygletbackend.py”, line 138, in init
fullscreen=self._isFullScr,
AttributeError: ‘PygletBackend’ object has no attribute ‘_isFullScr’
Exception ignored in: <bound method Window.del of <psychopy.visual.window.Window object at 0x0A16ACF0>>
Traceback (most recent call last):
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\window.py”, line 478, in del
self.close()
File “C:\Program Files\PsychoPy2_PY3\lib\site-packages\psychopy\visual\window.py”, line 1102, in close
self.backend.close() # moved here, dereferencing the window prevents
AttributeError: ‘NoneType’ object has no attribute 'close

Hi guys,

I’m getting this error message when I try to run my experiment in one Windows 7 SP1 machine with 6GB of RAM

Initially I created this experiment in my laptop with Windows 10 64 bit and all works fine, I´m able to run my experiment without troubles and error messages but when I try to run my experiment in the University lab machines (Win7 SP1) I get the error

I´m not sure if the issue could be related to the graphic card, memory or something related to the OS itself

Psychopy starts corrrectly in the Win 7 machine

On the other hand I have tried to create one simple experiment in this Win7 machine in order to know if the exception is related to the experiment itself but unfortunately I get the same error with the two experiments

Any help will be really appreciated

Many thanks in advance